<?php
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version   1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
// use ocproductinquiry\Controllers\Admin\Adminproductinquirys;
class AdminproductinquirysController extends AdminController
{
    public $name = 'adminproductinquirys';

    public function __construct()
    {
        $this->bootstrap = true;
        $this->table = 'Adminproductinquirys';
        $this->className = 'Adminproductinquirys';
        parent::__construct();
    }

    public function renderList()
    {
        $fields_list = [
            'pro_inq_id' => [
                'title' => $this->l('ID'),
                'align' => 'center',
                'class' => 'fixed-width-xs',
                'remove_onclick' => true,
            ],
            'hidden_product_name' => [
                'title' => $this->l('Product Name'),
                'align' => 'center',
                'class' => 'fixed-width-xs',
                'remove_onclick' => true,
            ],
            'product_inq_url' => [
                'title' => $this->l('Product URL'),
                'align' => 'center',
                'class' => 'fixed-width-xs',
                 'callback' => 'getLink',
                 'remove_onclick' => true,
            ],
            'cus_name' => [
                'title' => $this->l('Name'),
                'remove_onclick' => true,
            ],
            'cus_mail' => [
                'title' => $this->l('Email'),
                'remove_onclick' => true,
            ],
            'cus_number' => [
                'title' => $this->l('Phone Number'),
                'remove_onclick' => true,
            ],
            'cus_inquiery' => [
                'title' => $this->l('Message'),
                'remove_onclick' => true,
            ],
            'pro_inq_curnt_time' => [
                'title' => $this->l('Date'),
                'type' => 'datetime',
                'align' => 'center',
                'remove_onclick' => true,
            ],
        ];

        $sql = 'SELECT * FROM ' . _DB_PREFIX_ . 'oc_product_inquiri';
        $dataSource = Db::getInstance()->executeS($sql);
        $current_index = '?module=ocproductinquiry&controller=Adminproductinquirys';
        $helper = new HelperList();
        $helper->shopLinkType = '';
        $helper->simple_header = true;
        $helper->actions = ['view', 'delete'];
        $helper->bulk_actions = ['delete' => ['text' => $this->l('Delete selected'), 'confirm' => $this->l('Delete selected items?')]];
        $helper->show_toolbar = true;
        $helper->show_filters = true;
        $helper->module = $this;
        $helper->title = $this->l('Product Inquiries');
        $helper->currentIndex = $current_index;
        $helper->token = Tools::getAdminTokenLite('Adminproductinquirys');
        $helper->table = $this->table;
        $helper->identifier = 'pro_inq_id';
        $helper->orderBy = 'pro_inq_id';
        $helper->orderWay = 'DESC';

        if (Tools::isSubmit('submitBulkdeleteAdminproductinquirys')) {
            // Get selected items
            $selectedIds = Tools::getValue('AdminproductinquirysBox');

            // Delete selected items
            foreach ($selectedIds as $selectedId) {
                Db::getInstance()->delete('oc_product_inquiri', 'pro_inq_id = ' . (int) $selectedId . '');
            }
            return Tools::redirectAdmin($this->context->link->getAdminLink('Adminproductinquirys'));
        }

        return $helper->generateList($dataSource, $fields_list);
    }

    public function processDelete()
    {
        $pro_inq_id = Tools::getValue('pro_inq_id');
        //$sql = 'DELETE FROM `' . _DB_PREFIX_ . 'oc_product_inquiri` WHERE `pro_inq_id` = ' . (int) $pro_inq_id;
        Db::getInstance()->delete('oc_product_inquiri', 'pro_inq_id = ' . (int) $pro_inq_id . '');
        // Db::getInstance()->execute($sql);

        return Tools::redirectAdmin($this->context->link->getAdminLink('Adminproductinquirys'));
    }

    public function displayViewLink($token , $pro_inq_id, $name = null)
    {
        $viewUrl = $this->context->link->getAdminLink('Adminproductinquirysedit').'&view&pro_inq_id=' . $pro_inq_id . '';
        $this->context->smarty->assign(array(
            'PROINQ_VIEW_LINK' => $viewUrl,
        ));

        return $this->context->smarty->fetch(_PS_MODULE_DIR_ . 'ocproductinquiry/views/templates/admin/proinq_viewlink.tpl');
        //return '<a href="' . $viewUrl . '" target="_blank">' . $this->l('View') . '</a>';
    }

    public function getLink($product_inq_url)
    {
        $this->context->smarty->assign(array(
            'PROINQ_PRODUCTLINK' => $product_inq_url,
        ));

        return $this->context->smarty->fetch(_PS_MODULE_DIR_ . 'ocproductinquiry/views/templates/admin/proinq_productlink.tpl');
        //return '<a href="' . $product_inq_url . '" target="_blank">' . $this->l('Product Link') . '</a>';
    }

    public function initContent(){
        parent::initContent();
    }
}