<?php
/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version 1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
if (!defined('_PS_VERSION_')) {
    exit;
}
class ocproductinquiryProductinquirysModuleFrontController extends ModuleFrontController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function initContent()
    {
        $this->ajax = true;
        parent::initContent();
        $id_lang = Context::getContext()->language->id;
        $product_id = $_REQUEST['hidden_proid'];
        $product = new Product($product_id, true, $id_lang);
        $product_name = $product->name;
        $product_url = Context::getContext()->link->getProductLink($product_id, null, null, null, $id_lang);
        $occusname = $_REQUEST['oc_cus_name'];
        $occusemail = $_REQUEST['oc_cus_email'];
        $occusnumber = $_REQUEST['oc_cus_number'];
        $occusinqmsg = $_REQUEST['oc_cus_inqmsg'];
        // $sql = "INSERT INTO `oc_product_inquiri` (`hidden_product_name`,`product_inq_url`,`cus_name`,`cus_mail`,`cus_number`,`cus_inquiery`) VALUES ('" . $product_name . "','" . $product_url . "','" . $occusname . "', '" . $occusemail . "', '" . $occusnumber . "', '" . $occusinqmsg . "')";
        $pro_inq_data = array(
            'hidden_product_name' => pSQL($product_name),
            'product_inq_url' => pSQL($product_url),
            'cus_name' => pSQL($occusname),
            'cus_mail' => pSQL($occusemail),
            'cus_number' => pSQL($occusnumber),
            'cus_inquiery' => pSQL($occusinqmsg),
        );
        $admin_email = Configuration::get('PROINQ_ADMIN_EMAIL_CHANGE');
        $email_subject = Configuration::get('PROINQ_EMAIL_SUBJECT');
        $customer_mail_subject = Configuration::get('PROINQ_CUSTOMER_SUBJECT');
        $sendmail_admin = Configuration::get('INQFORM_SEND_MAIL_ADMIN');
        $sendmail_customer = Configuration::get('INQFORM_SEND_MAIL_CUSTOMER');
        $to = $occusemail;
        $message = $occusinqmsg;
        require_once _PS_MAIL_DIR_ . '../classes/Mail.php';
        $from = $admin_email;
        $from_name = 'Admin';
        $to_array = [$to];
        $subject = $customer_mail_subject;
        $template = 'contact';
        $attachment = null;
        $reply_to = null;
        $reply_to_name = null;
        $from_override = null;
        $context = null;

        if ($sendmail_customer == 'yes') {
            if (Mail::Send(
                Context::getContext()->language->id,
                $template,
                Mail::l($subject),
                Mail::l($message),
                $to_array,
                $from,
                $from_name,
                $attachment,
                $reply_to,
                $reply_to_name,
                $from_override,
                $context
            )) {
            } else {
            }
        }

        if ($sendmail_admin == 'yes') {
            if (Mail::Send(
                (int)Context::getContext()->language->id,
                'contact',
                Mail::l($email_subject),
                Mail::l($occusinqmsg),
                $admin_email,
                Configuration::get('PS_SHOP_NAME'),
                null,
                null,
                null,
                null,
                null,
                false,
                (int)Context::getContext()->shop->id,
                null,
                null,
                null
            )) {
            } else {
            }
        }

        // if (!Db::getInstance()->execute($sql)) {
        if (!Db::getInstance()->insert('oc_product_inquiri', $pro_inq_data)) {
            //echo $this->l('Error inserting data into custom table');
            $content = $this->l('Error inserting data into custom table');

            exit;
        } else {
            $this->context->smarty->assign(array(
                'INQFORM_SUCCESS_MSG' => Configuration::get('INQFORM_SUCCESS_MSG'),
            ));
            $content = $this->context->smarty->fetch(_PS_MODULE_DIR_ . 'ocproductinquiry/views/templates/front/proinq_message.tpl');
        }
        
        echo $content;
    }
}