{*
* 2007-2019 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2023 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{if $PROINQ_ON_OFF eq 'yes'}
	{if $PRODUCTINQUIRY_FORM_LOCATION eq '1'}
	{if $product.price_tax_exc eq 0 or $product.quantity <= 0}
		{if $PROINQ_PRICE_EMPTY eq 'yes' || $PROINQ_HIDE_ATC_STOCK_EMPTY eq 'yes'}
			<div class="ocinquiry_main">
				<div class="prod_inqbtn">
					<a href="#">{l s=$INQFORM_FORM_BTN_TITLE|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</a>
				</div>
			</div>
			<div class="proinq_form_main">
				<div class="proinq_inner">
					<div class="proinq_topbar">
						<div>
							<h2>{l s=$INQFORM_POPUP_TITLE|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</h2>
						</div>
						<div>
							<a class="proinq_closebtn" href="#">&times;</a>
						</div>
					</div>
					<div class="proinq_content">
						<form method="post" class="proinq_form">
							<div class="form_inner_section">
								<div class="proinq_first_sec">
									<div class="proinq_field">
										<div class="proinq_label"><label>{l s=$INQFORM_NAME_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
										<div class="proinq_field">
											<input type="text" name="cus_name" id="cus_name" placeholder="Customer Name">
											<input type="hidden" name="hidden_proid" id="hidden_proid" value="{$product.id|escape:'htmlall':'UTF-8'}">
											<div class="proinq_name_req_msg"></div>
										</div>
									</div>
									<div class="proinq_field">
										<div class="proinq_label"><label>{l s=$INQFORM_EMAIL_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
										<div class="proinq_field">
											<input type="text" name="cus_mail" id="cus_mail" placeholder="Customer E-mail">
											<div class="proinq_email_req_msg"></div>
										</div>
									</div>
									<div class="proinq_field">
										<div class="proinq_label"><label>{l s=$INQFORM_CUSNUMBER_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
										<div class="proinq_field">
											<input type="text" name="cus_number" id="cus_number" placeholder="Phone Number">
											<div class="proinq_phone_req_msg"></div>
										</div>
									</div>
								</div>
								<div class="proinq_second_sec">
									<div class="proinq_field">
										<div class="proinq_label"><label>{l s=$INQFORM_INQMSG_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
										<div class="proinq_field">
											<textarea id="cus_inquiery" name="cus_inquiery" id="cus_inquiery" placeholder="Inquiry"></textarea>
											<div class="proinq_inquiry_req_msg"></div>
										</div>
									</div>
								</div>
							</div>
							<div class="submit_inquierys">
								<input type="submit" name="cus_send_inquiery" id="sub_prod_inq" value="{l s=$INQFORM_SUBBTN_TEXT|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}">
							</div>
						</form>
					</div>
				</div>
			</div>
		{/if}
		{if $PROINQ_HIDE_ATC_BTN eq 'yes'}
			<style>
			 	.product-add-to-cart {
			 		display:none;
			 	}
			</style>
		{/if}
	{else}
		<div class="ocinquiry_main">
			<div class="prod_inqbtn">
				<a href="#">Product Inquiry</a>
			</div>
		</div>
		<div class="proinq_form_main">
			<div class="proinq_inner">
				<div class="proinq_topbar">
					<div>
						<h2>Product Inquiery Form</h2>
					</div>
					<div>
						<a class="proinq_closebtn" href="#">&times;</a>
					</div>
				</div>
				<div class="proinq_content">
					<form method="post" class="proinq_form">
						<div class="form_inner_section">
							<div class="proinq_first_sec">
								<div class="proinq_field">
									<div class="proinq_label"><label>{l s=$INQFORM_NAME_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
									<div class="proinq_field">
										<input type="text" name="cus_name" id="cus_name" placeholder="Customer Name">
										<input type="hidden" name="hidden_proid" id="hidden_proid" value="{$product.id|escape:'htmlall':'UTF-8'}">
										<div class="proinq_name_req_msg"></div>
									</div>
								</div>
								<div class="proinq_field">
									<div class="proinq_label"><label>{l s=$INQFORM_EMAIL_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
									<div class="proinq_field">
										<input type="text" name="cus_mail" id="cus_mail" placeholder="Customer E-mail">
										<div class="proinq_email_req_msg"></div>
									</div>
									
								</div>
								<div class="proinq_field">
									<div class="proinq_label"><label>{l s=$INQFORM_CUSNUMBER_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
									<div class="proinq_field">
										<input type="text" name="cus_number" id="cus_number" placeholder="Phone Number">
										<div class="proinq_phone_req_msg"></div>
									</div>
									
								</div>
							</div>
							<div class="proinq_second_sec">
								<div class="proinq_field">
									<div class="proinq_label"><label>{l s=$INQFORM_INQMSG_LABEL|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}</label></div>
									<div class="proinq_field">
										<textarea id="cus_inquiery" name="cus_inquiery" id="cus_inquiery" placeholder="Inquiry"></textarea>
										<div class="proinq_inquiry_req_msg"></div>
									</div>
								</div>
							</div>
						</div>
						<div class="submit_inquierys">
							<input type="submit" name="cus_send_inquiery" id="sub_prod_inq" value="{l s=$INQFORM_SUBBTN_TEXT|escape:'htmlall':'UTF-8' mod='ocproductinquiry'}">
						</div>
					</form>
				</div>
			</div>
		</div>
	{/if}
	{/if}
	{if $product.quantity <= 0}
		{if $PROINQ_HIDE_ATC_STOCK_EMPTY eq 'yes'}
		 	<style>
			 	.product-add-to-cart {
			 		display:none;
			 	}
			</style>
		{/if}
	{/if}
<style>
	.prod_inqbtn a {
	    border: 1px solid #24b9d7;
	    background-color: {l s=$PROINQ_BUTTON_CLR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	    color: {l s=$PROINQ_BUTTON_TEXT_CLR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	    padding: 8px 10px;
	}

	.proinq_inner {
		background-color: {l s=$PROINQ_POPUP_BG_COLOR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	}
	.proinq_topbar h2 {
		color: {l s=$PROINQ_POPUP_HEADING_CLR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	}
	.proinq_closebtn {
    	color: {l s=$PROINQ_POPUP_LABEL_CLR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	}
	.submit_inquierys input {
	    background-color: {l s=$PROINQ_BUTTON_SUB_BG_CLR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	    color: {l s=$PROINQ_BUTTON_SUB_TEXT_CLR|escape:'htmlall':'UTF-8' mod='ocproductinquiry'};
	}

</style>
<script src="https://code.jquery.com/jquery-3.6.3.min.js"></script>
<script type="text/javascript">
	jQuery(document).ready(function () {
		
		jQuery('.prod_inqbtn a').on('click',function(){
			jQuery('.proinq_form_main').show();
			return false;
		})
		jQuery('.proinq_closebtn').on('click',function(){
	    	jQuery('.proinq_form_main').hide();
	    	return false;
	    });
    });
</script>
{/if}